CVE-2018-2579

LOW
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Vulnerability in the Java SE, Java SE Embedded, JRockit component of Oracle Java SE (subcomponent: Libraries). Supported versions that are affected are Java SE: 6u171, 7u161, 8u152 and 9.0.1; Java SE Embedded: 8u151; JRockit: R28.3.16. Difficult to exploit vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise Java SE, Java SE Embedded, JRockit. Successful attacks of this vulnerability can result in unauthorized read access to a subset of Java SE, Java SE Embedded, JRockit accessible data. Note: This vulnerability applies to client and server deployment of Java. This vulnerability can be exploited through sandboxed Java Web Start applications and sandboxed Java applets. It can also be exploited by supplying data to APIs in the specified Component without using sandboxed Java Web Start applications or sandboxed Java applets, such as through a web service. CVSS 3.0 Base Score 3.7 (Confidentiality impacts). CVSS Vector: (CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:N/A:N).

References

http://www.oracle.com/technetwork/security-advisory/cpujan2018-3236628.html

http://www.securityfocus.com/bid/102663

http://www.securitytracker.com/id/1040203

https://access.redhat.com/errata/RHSA-2018:0095

https://access.redhat.com/errata/RHSA-2018:0099

https://access.redhat.com/errata/RHSA-2018:0100

https://access.redhat.com/errata/RHSA-2018:0115

https://access.redhat.com/errata/RHSA-2018:0349

https://access.redhat.com/errata/RHSA-2018:0351

https://access.redhat.com/errata/RHSA-2018:0352

https://access.redhat.com/errata/RHSA-2018:0458

https://access.redhat.com/errata/RHSA-2018:0521

https://access.redhat.com/errata/RHSA-2018:1463

https://access.redhat.com/errata/RHSA-2018:1812

https://help.ecostruxureit.com/display/public/UADCE725/Security+fixes+in+StruxureWare+Data+Center+Expert+v7.6.0

https://lists.debian.org/debian-lts-announce/2018/04/msg00003.html

https://security.netapp.com/advisory/ntap-20180117-0001/

https://support.hpe.com/hpsc/doc/public/display?docLocale=en_US&docId=emr_na-hpesbst03911en_us

https://usn.ubuntu.com/3613-1/

https://usn.ubuntu.com/3614-1/

https://www.debian.org/security/2018/dsa-4144

https://www.debian.org/security/2018/dsa-4166

Details

Source: MITRE

Published: 2018-01-18

Updated: 2020-09-08

Risk Information

CVSS v2

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:P/I:N/A:N

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 3.7

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:N/A:N

Impact Score: 1.4

Exploitability Score: 2.2

Severity: LOW

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:oracle:jdk:1.6.0:update_171:*:*:*:*:*:*

cpe:2.3:a:oracle:jdk:1.7.0:update161:*:*:*:*:*:*

cpe:2.3:a:oracle:jdk:1.8.0:update152:*:*:*:*:*:*

cpe:2.3:a:oracle:jdk:1.9.0.1:*:*:*:*:*:*:*

cpe:2.3:a:oracle:jre:1.6.0:update_171:*:*:*:*:*:*

cpe:2.3:a:oracle:jre:1.7.0:update_161:*:*:*:*:*:*

cpe:2.3:a:oracle:jre:1.8.0:update_152:*:*:*:*:*:*

cpe:2.3:a:oracle:jre:1.9.0.1:*:*:*:*:*:*:*

cpe:2.3:a:oracle:jrockit:r28.3.16:*:*:*:*:*:*:*

Configuration 2

OR

cpe:2.3:a:redhat:satellite:5.6:*:*:*:*:*:*:*

cpe:2.3:a:redhat:satellite:5.7:*:*:*:*:*:*:*

cpe:2.3:a:redhat:satellite:5.8:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_desktop:6.0:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_desktop:7.0:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_server:6.0:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_server:7.0:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_server_aus:7.4:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_server_aus:7.6:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_server_eus:7.4:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_server_eus:7.5:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_server_eus:7.6:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_server_tus:7.4:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_server_tus:7.6:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_workstation:6.0:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_workstation:7.0:*:*:*:*:*:*:*

Configuration 3

OR

cpe:2.3:o:debian:debian_linux:7.0:*:*:*:*:*:*:*

cpe:2.3:o:debian:debian_linux:8.0:*:*:*:*:*:*:*

cpe:2.3:o:debian:debian_linux:9.0:*:*:*:*:*:*:*

Configuration 4

OR

cpe:2.3:o:canonical:ubuntu_linux:14.04:*:*:*:lts:*:*:*

cpe:2.3:o:canonical:ubuntu_linux:16.04:*:*:*:lts:*:*:*

cpe:2.3:o:canonical:ubuntu_linux:17.10:*:*:*:*:*:*:*

Configuration 5

OR

cpe:2.3:a:schneider-electric:struxureware_data_center_expert:*:*:*:*:*:*:*:*

Configuration 6

OR

cpe:2.3:a:hp:xp7_command_view:*:*:*:*:advanced:*:*:*

cpe:2.3:a:hp:xp_command_view:*:*:*:*:advanced:*:*:*

cpe:2.3:a:hp:xp_p9000_command_view:*:*:*:*:advanced:*:*:*

Tenable Plugins

View all (47 total)

IDNameProductFamilySeverity
127375NewStart CGSL MAIN 4.05 : java-1.8.0-openjdk Multiple Vulnerabilities (NS-SA-2019-0126)NessusNewStart CGSL Local Security Checks
high
127372NewStart CGSL MAIN 4.05 : java-1.7.0-openjdk Multiple Vulnerabilities (NS-SA-2019-0124)NessusNewStart CGSL Local Security Checks
high
127170NewStart CGSL MAIN 5.04 : java-1.8.0-openjdk Multiple Vulnerabilities (NS-SA-2019-0016)NessusNewStart CGSL Local Security Checks
high
127162NewStart CGSL MAIN 5.04 : java-1.7.0-openjdk Multiple Vulnerabilities (NS-SA-2019-0012)NessusNewStart CGSL Local Security Checks
high
700656Oracle Java SE 6 < Update 181 / 7 < Update 171 / 8 < Update 161 / 9 < Update 4 Multiple Vulnerabilities (January 2018 CPU)Nessus Network MonitorWeb Clients
high
110405RHEL 6 : java-1.7.1-ibm (RHSA-2018:1812)NessusRed Hat Local Security Checks
high
109908RHEL 6 : java-1.8.0-ibm (RHSA-2018:1463)NessusRed Hat Local Security Checks
high
109121Amazon Linux 2 : java-1.8.0-openjdk (ALAS-2018-949)NessusAmazon Linux Local Security Checks
high
108853Debian DSA-4166-1 : openjdk-7 - security updateNessusDebian Local Security Checks
high
108815Debian DLA-1339-1 : openjdk-7 security updateNessusDebian Local Security Checks
high
108794Ubuntu 14.04 LTS : openjdk-7 vulnerabilities (USN-3614-1)NessusUbuntu Local Security Checks
high
108793Ubuntu 16.04 LTS / 17.10 : openjdk-8 vulnerabilities (USN-3613-1)NessusUbuntu Local Security Checks
high
108599Amazon Linux AMI : java-1.7.0-openjdk (ALAS-2018-974)NessusAmazon Linux Local Security Checks
high
108512SUSE SLES12 Security Update : java-1_8_0-ibm (SUSE-SU-2018:0665-1)NessusSuSE Local Security Checks
high
108510SUSE SLED12 / SLES12 Security Update : java-1_8_0-openjdk (SUSE-SU-2018:0663-1)NessusSuSE Local Security Checks
high
108482SUSE SLES12 Security Update : java-1_7_1-ibm (SUSE-SU-2018:0743-1)NessusSuSE Local Security Checks
high
108463EulerOS 2.0 SP2 : java-1.7.0-openjdk (EulerOS-SA-2018-1059)NessusHuawei Local Security Checks
medium
108462EulerOS 2.0 SP1 : java-1.7.0-openjdk (EulerOS-SA-2018-1058)NessusHuawei Local Security Checks
medium
108432GLSA-201803-06 : Oracle JDK/JRE: Multiple vulnerabilitiesNessusGentoo Local Security Checks
high
108421Debian DSA-4144-1 : openjdk-8 - security updateNessusDebian Local Security Checks
high
108400SUSE SLES12 Security Update : java-1_7_1-ibm (SUSE-SU-2018:0694-1)NessusSuSE Local Security Checks
high
108362RHEL 6 : java-1.7.1-ibm (RHSA-2018:0521)NessusRed Hat Local Security Checks
high
108357openSUSE Security Update : java-1_7_0-openjdk (openSUSE-2018-256)NessusSuSE Local Security Checks
high
108355openSUSE Security Update : java-1_8_0-openjdk (openSUSE-2018-254)NessusSuSE Local Security Checks
high
108280SUSE SLED12 / SLES12 Security Update : java-1_7_0-openjdk (SUSE-SU-2018:0661-1)NessusSuSE Local Security Checks
high
107288SUSE SLES11 Security Update : java-1_7_0-ibm (SUSE-SU-2018:0645-1)NessusSuSE Local Security Checks
high
107213SUSE SLES11 Security Update : java-1_7_1-ibm (SUSE-SU-2018:0630-1)NessusSuSE Local Security Checks
high
107207RHEL 7 : java-1.7.1-ibm (RHSA-2018:0458)NessusRed Hat Local Security Checks
high
107074CentOS 6 / 7 : java-1.7.0-openjdk (CESA-2018:0349)NessusCentOS Local Security Checks
high
107021Scientific Linux Security Update : java-1.7.0-openjdk on SL6.x, SL7.x i386/x86_64 (20180226)NessusScientific Linux Local Security Checks
high
107019RHEL 6 : java-1.8.0-ibm (RHSA-2018:0352)NessusRed Hat Local Security Checks
high
107018RHEL 7 : java-1.8.0-ibm (RHSA-2018:0351)NessusRed Hat Local Security Checks
high
107016RHEL 6 / 7 : java-1.7.0-openjdk (RHSA-2018:0349)NessusRed Hat Local Security Checks
high
107014Oracle Linux 6 / 7 : java-1.7.0-openjdk (ELSA-2018-0349)NessusOracle Linux Local Security Checks
high
106694Amazon Linux AMI : java-1.8.0-openjdk (ALAS-2018-949)NessusAmazon Linux Local Security Checks
high
106403EulerOS 2.0 SP2 : java-1.8.0-openjdk (EulerOS-SA-2018-1028)NessusHuawei Local Security Checks
medium
106402EulerOS 2.0 SP1 : java-1.8.0-openjdk (EulerOS-SA-2018-1027)NessusHuawei Local Security Checks
medium
106256RHEL 6 / 7 : java-1.6.0-sun (RHSA-2018:0115)NessusRed Hat Local Security Checks
high
106191Oracle Java SE Multiple Vulnerabilities (January 2018 CPU) (Unix)NessusMisc.
high
106190Oracle Java SE Multiple Vulnerabilities (January 2018 CPU)NessusWindows
high
106183RHEL 6 / 7 : java-1.7.0-oracle (RHSA-2018:0100)NessusRed Hat Local Security Checks
high
106182RHEL 6 / 7 : java-1.8.0-oracle (RHSA-2018:0099)NessusRed Hat Local Security Checks
high
106172CentOS 6 / 7 : java-1.8.0-openjdk (CESA-2018:0095)NessusCentOS Local Security Checks
high
106139Oracle JRockit R28.3.16 Multiple Vulnerabilities (January 2018 CPU)NessusWindows
high
106124Scientific Linux Security Update : java-1.8.0-openjdk on SL6.x, SL7.x i386/x86_64 (20180117)NessusScientific Linux Local Security Checks
high
106122RHEL 6 / 7 : java-1.8.0-openjdk (RHSA-2018:0095)NessusRed Hat Local Security Checks
high
106119Oracle Linux 6 / 7 : java-1.8.0-openjdk (ELSA-2018-0095)NessusOracle Linux Local Security Checks
high